package br.org.senacagil;

import org.springframework.aop.MethodBeforeAdvice;
import java.lang.reflect.Method;
import java.util.Date;

public class LogAdvice implements MethodBeforeAdvice {
	
	public void before(Method metodo, Object[] argumentos, Object alvo) throws Throwable {
		
		// lista de parâmetros
		StringBuffer lista = new StringBuffer();
		for (int i = 0; i < argumentos.length; i++) {
			lista.append("\n" + argumentos[i]);
		}
		System.out.println("LOG0 --- " + new Date() + " --- Executado método "
				+ metodo.getName() + "' utilizando como parâmetros " + lista);
	}
}
